package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 周期类型(1.全年,2.半年,3.季度4.月份)枚举类
*
* @author zxfei
*/
public enum PeriodTypeEnum {
    全年(1, "全年"),
    半年(2, "半年"),
    季度4(3, "季度4");
    private Integer value;
    private String desc;

    PeriodTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PeriodTypeEnum getByValue(Integer value) {
        for (PeriodTypeEnum periodTypeEnum : PeriodTypeEnum.values()) {
            if (periodTypeEnum.getValue() == value) {
                return periodTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PeriodTypeEnum item : PeriodTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}